Gentoo Archives: gentoo-dev

From: Ben de Groot <yngwin@g.o>
To: gentoo-dev@l.g.o
Subject: Re: [gentoo-dev] gtk3 useflag and support of older toolkits
Date: Sun, 24 Jun 2012 08:08:23
Message-Id: CAB9SyzRsoXSyUatM5JQwi0s5=R-RvnqSVW9tHU1h4bG_sLc_Yg@mail.gmail.com
In Reply to: Re: [gentoo-dev] gtk3 useflag and support of older toolkits by Gilles Dartiguelongue
On 23 June 2012 22:45, Gilles Dartiguelongue <eva@g.o> wrote:
> Le samedi 23 juin 2012 à 14:40 +0100, Ciaran McCreesh a écrit : >> >> I'd like to know why using USE flags until a nicer solution is >> available is sufficiently terrible that it warrants a hackaround. > > remember qt3/qt4, gtk/gtk2. We want to avoid repeating these "mistakes" > hence the guidelines already exposed back when we introduced gtk3 to the > tree.
I don't see what the problem is now. We have slots, usedeps and required_use. Why would we need to avoid using gtk2/gtk3 useflags? We of the Qt team are expecting Qt5 to enter the tree within the next few months, and I'm not expecting any trouble with using qt4 and qt5 useflags. -- Cheers, Ben | yngwin Gentoo developer Gentoo Qt project lead

Replies

Subject Author
Re: [gentoo-dev] gtk3 useflag and support of older toolkits hasufell <hasufell@g.o>